package ea.domain;

import java.util.Iterator;
import java.util.UUID;

import domain.Game;
import domain.Player;
import ea.libs.Constants;

public class QueryMoney 
{
	private Game game;
	private Player player;
	public QueryMoney(UUID idgame, String player)
	{
		game = ListGames.getGame(idgame);
		Iterator<Player> i = game.getPlayers().iterator();
		Player aux = new Player(player,-1);
		while(i.hasNext())
		{
			Player p = i.next();
			if(p.equals(aux))
			{
				this.player = p;
				return;
			}
		}
	}
	
	private Player getPlayer()
	{
		return player;
	}
	
	public int getMoney()
	{
		return player.getMoney();
	}
	
	public boolean hasMoneyForBuySpy()
	{
		boolean result = false;
		if(this.getPlayer().getMoney() >= Constants.priceSpy)
			result = true;
		return result;
	}
	
	public boolean hasMoneyForBuy(int money)
	{
		return (this.getPlayer().getMoney() >= money);
	}
	
	public void chargeBuyArsenal(int money)
	{
		this.getPlayer().setMoney(money);
	}
	
	public void chargeBuyTerritory(int money)
	{
		this.getPlayer().setMoney(money);
	}
	
	public void lessNegotiationMoney(int money, int less)
	{
		this.getPlayer().setMoney(money-less);
	}
	
	public void sumNegotiationMoney(int money, int sum)
	{
		this.getPlayer().setMoney(money+sum);
	}
}
