package ea.presentation;
import java.util.UUID;

import ea.domain.QueryPlayers;
import ea.libs.Constants.action;


public class StateAction {
	private action type;
	private int step;
	private int originTerritory;
	private int destinyTerritory;
	private int numSoldiers;
	private int numCannonsOne;
	private int numCannonsTwo;
	private int numCannonsThree;
	private int numMissils;
	private int numICBMs;
	
	public StateAction(action type)
	{
		this.type = type;
		step = 1;
		numSoldiers = 0;
		numCannonsOne = 0;
		numCannonsTwo = 0;
		numCannonsThree = 0;
		numMissils = 0;
		numICBMs = 0;
	}
	
	public int getNumSoldiers()
	{
		return numSoldiers;
	}
	
	public void setNumSoldiers(int soldiers)
	{
		numSoldiers = soldiers;
	}
	
	public int getNumCannonsOne()
	{
		return numCannonsOne;
	}
	
	public void setNumCannonsOne(int cannons)
	{
		numCannonsOne = cannons;
	}
	
	public int getNumCannonsTwo()
	{
		return numCannonsTwo;
	}
	
	public void setNumCannonsTwo(int cannons)
	{
		numCannonsTwo = cannons;
	}
	
	public int getNumCannonsThree()
	{
		return numCannonsThree;
	}
	
	public void setNumCannonsThree(int cannons)
	{
		numCannonsThree = cannons;
	}
	
	public int getNumMissils()
	{
		return numMissils;
	}
	
	public void setNumMissils(int missils)
	{
		numMissils = missils;
	}
	
	public int getNumICBMs()
	{
		return numICBMs;
	}
	
	public void setNumICBMs(int ICBMs)
	{
		numICBMs = ICBMs;
	}
	
	public action getAction()
	{
		return type;
	}
	
	public int getStep()
	{
		return step;
	}
	
	public void setStep(int step)
	{
		this.step = step;
	}
	
	public int getOriginTerritory()
	{
		return this.originTerritory;
	}
	
	public void setOriginTerritory(int originTerritory)
	{
		this.originTerritory = originTerritory;
	}
	
	public int getDestinyTerritory()
	{
		return this.destinyTerritory;
	}
	
	public void setDestinyTerritory(int destinyTerritory)
	{
		this.destinyTerritory = destinyTerritory;
	}
}
