package ea.test;
import ea.rmi.RMIInterface;
import junit.framework.TestCase;

public class TestUnregisterPlayer extends TestCase
{
    // fixtures
    String userName, password, email;
    RMIInterface rmiInt; // [TODO] For implement
    boolean isUnregistered;

    public void setUp()
    {
        // [TODO] Init RMI
    }

    public void testUnregisterPlayer()
    {
        try
        {
            userName = "defaultUser";
            password = "defaultPassword";
            email = "defaultEmail";
            isUnregistered = rmiInt.unregisterPlayer(userName, password, email);
            assertTrue(isUnregistered == true);
        }
        // [TODO] Make specializations for the exceptions
        catch (Exception e)
        {
            fail(e.toString());
        }
    }

    public void testUnregisterPlayerNeg()
    {
        // Test if the modifications is undone
        // when the login and pasword are empty
        try
        {
            userName = "";
            password = "";
            email = "";
            isUnregistered = rmiInt.unregisterPlayer(userName, password, email);
            assertTrue(isUnregistered == false);

            userName = "defaultUser";
            password = "";
            email = "";
            isUnregistered = rmiInt.unregisterPlayer(userName, password, email);
            assertTrue(isUnregistered == false);

            userName = "";
            password = "defaultPassword";
            email = "";
            isUnregistered = rmiInt.unregisterPlayer(userName, password, email);
            assertTrue(isUnregistered == false);

            userName = "";
            password = "";
            email = "defaulEmail";
            isUnregistered = rmiInt.unregisterPlayer(userName, password, email);
            assertTrue(isUnregistered == false);

            // [TODO] More combinations
        }

        // [TODO] Make specializations for the exceptions
        catch (Exception e)
        {
            fail(e.toString());
        }
    }

    public void tearDown()
    {
        // ...
    }
}