package ea.domain;

import java.util.ArrayList;
import java.util.UUID;

import domain.Game;
import domain.GameInfo;
import ea.exceptions.NullInformationException;
import ea.presentation.Alert;

public class ListGames 
{
	private static ArrayList<Game> listGames = new ArrayList<Game>();
	
	public ListGames()
	{
	}
	
//Probado
	public static void addGame(Game game)throws NullInformationException
	{
		if(game == null)
			throw new NullInformationException("El juego al que quiere jugar es nulo.");
		
		listGames.add(game);
	}
	
	public static void removeGame(UUID game)
	{
		
		
	}
	
//Probado	
	public static boolean isEmpty()
	{
		if(listGames.size()==0)
			return true;
		else
			return false;
	}
	
	public static boolean checkGame(UUID game)
	{
		GameInfo aux = new GameInfo();
		aux.setId(game);
		Game aux1 = new Game();
		aux1.setGameInfo(aux);
		
		int pos = listGames.indexOf(aux1);
		if(pos!=-1)
			return true;
		else
			return false;
	}
	
	public static Game getGame(UUID game)
	{
		GameInfo aux = new GameInfo();
		aux.setId(game);
		Game aux1 = new Game();
		aux1.setGameInfo(aux);
		
		int pos = listGames.indexOf(aux1);
		Game result=null;
		if(pos!=-1)
			result = listGames.get(pos);
		else
			new Alert("Aviso", "Error no se encuentra disponible esa partida.\n");
		return result;
	}
}
