package ea.domain;

import java.util.Observable;
import java.util.UUID;

import domain.Arsenal;
import domain.Territory;
import ea.libs.Constants;

public class stateObservable extends Observable{
	private String namePlayer;
	private Constants.notifications action;
	private Territory src;
	private Territory dst;
	private Arsenal arsenal;
	private UUID game;
	private int numSoldiersNegotation;
	private int moneyNegotation;
	
	public stateObservable(String name)
	{
		this.namePlayer = name;
	}
	
	public String getNamePlayer()
	{
		return namePlayer;
	}
	
	public Constants.notifications getAction() {
		return action;
	}

	public void setAction(Constants.notifications a) {
		this.action = a;
	}

	public UUID getGame() {
		return game;
	}

	public void setGame(UUID game) {
		this.game = game;
	}
		
	public Territory getSrc() {
		return src;
	}

	public void setSrc(Territory src) {
		this.src = src;
	}

	public Arsenal getArsenal() {
		return arsenal;
	}

	public void setArsenal(Arsenal arsenal) {
		this.arsenal = arsenal;
	}

	public Territory getDst() {
		return dst;
	}

	public void setDst(Territory dst) {
		this.dst = dst;
	}
	
	public void setSoldier(int soldiers){
		this.numSoldiersNegotation = soldiers;
	}
	
	public int getSoldier()
	{
		return this.numSoldiersNegotation;
	}
	
	public int getMoney(){
		return this.moneyNegotation;
	}
	
	public void setMoney(int money)
	{
		this.moneyNegotation = money;
	}
	
	public void notifyObserver()
	{
		setChanged();
		notifyObservers();
	}
}
