package ea.libs;

public interface Constants {
	public static final int totalTerritories = 42;
	public static final int CENTER_X = 8;
	public static final int CENTER_Y = 16;
	public static final Color[] colors = {
			// Europa
			new Color(255, 0, 65, 131),
			new Color(255, 0, 0, 255),
			new Color(255, 0, 73, 254),
			new Color(255, 0, 178, 255),
			new Color(255, 1, 99, 129),
			new Color(255, 1, 0, 128),
			new Color(255, 0, 128, 255),
			// Asia
			new Color(255, 64, 255, 12),
			new Color(255, 0, 128, 3),
			new Color(255, 0, 128, 129),
			new Color(255, 196, 255, 2),
			new Color(255, 128, 255, 0),
			new Color(255, 0, 128, 64),
			new Color(255, 0, 82, 62),
			new Color(255, 0, 65, 1),
			new Color(255, 129, 255, 129),
			new Color(255, 0, 166, 4),
			new Color(255, 0, 47, 63),
			new Color(255, 0, 128, 208),

			// Africa
			new Color(255, 175, 112, 0),
			new Color(255, 255, 127, 0),
			new Color(255, 128, 64, 0),
			new Color(255, 174, 86, 0),
			new Color(255, 255, 146, 90),
			new Color(255, 82, 41, 0),

			// America del Norte
			new Color(255, 52, 53, 9), new Color(255, 255, 255, 199),
			new Color(255, 255, 255, 88), new Color(255, 127, 128, 0),
			new Color(255, 255, 255, 1), new Color(255, 79, 80, 40),
			new Color(255, 148, 148, 74),
			new Color(255, 255, 255, 129),
			new Color(255, 107, 109, 54),

			// America del Sur
			new Color(255, 254, 0, 0), new Color(255, 128, 64, 64),
			new Color(255, 128, 0, 1), new Color(255, 254, 128, 129),

			// Oceana
			new Color(255, 64, 0, 63), new Color(255, 128, 0, 255),
			new Color(255, 254, 0, 253), new Color(255, 129, 0, 64),

			// Vaco
			new Color(255, 255, 255, 255) };

	public static final int[] prices = { 279, 197, 191, 296, 183, 288, 109,
			212, 294, 298, 189, 171, 234, 273, 247, 140, 275, 193, 261, 280,
			146, 143, 211, 176, 188, 122, 172, 285, 274, 141, 198, 236, 129,
			118, 281, 116, 251, 170, 125, 245, 124, 150, 0 };

	public static Coord[] coordinates = { new Coord(469, 103),
			new Coord(439, 61), new Coord(524, 107), new Coord(530, 63),
			new Coord(534, 137), new Coord(600, 89), new Coord(469, 146),
			new Coord(688, 129), new Coord(804, 175), new Coord(741, 200),
			new Coord(802, 96), new Coord(937, 162), new Coord(907, 58),
			new Coord(626, 175), new Coord(822, 131), new Coord(834, 240),
			new Coord(738, 48), new Coord(681, 71), new Coord(816, 53),
			new Coord(554, 303), new Coord(612, 275), new Coord(558, 200),
			new Coord(647, 383), new Coord(473, 225), new Coord(561, 388),
			new Coord(75, 53), new Coord(135, 99), new Coord(124, 222),
			new Coord(182, 157), new Coord(387, 33), new Coord(165, 56),
			new Coord(199, 103), new Coord(262, 101), new Coord(112, 141),
			new Coord(260, 429), new Coord(283, 342), new Coord(219, 352),
			new Coord(228, 280), new Coord(981, 404), new Coord(892, 308),
			new Coord(986, 326), new Coord(905, 413) };

	public static int priceSpy = 600;
	public static int priceAntimissil = 400;
	public static int priceSoldier = 100;
	public static int priceCannon = 300;
	public static int priceMissil = 500;
	public static int priceICBMs = 800;
	public static int usesSpy = 3;

	public static enum action { BuySpy, Attack, BuyArsenal, Information, Move, BuyTerritory, SendICBM, Negotiate, SendMissile };
	public static enum notifications {ResolveAttack,Negotiate, Defender, TimeTurnExpired, TimeDefenseExpired, TimeNegotiationExpired, UpdateGame, TurnChanged};
}
