package ea.test;
import ea.rmi.RMIInterface;
import junit.framework.TestCase;

public class TestModifyPlayer extends TestCase
{
    // fixtures
    String userName, password, email;
    RMIInterface rmiInt; // [TODO] For implement
    boolean isModified;

    public void setUp()
    {
        // [TODO] Init RMI
    }

    public void testModifyPlayer()
    {
        try
        {
            userName = "defaultUser";
            password = "defaultPassword";
            email = "defaultEmail";
            isModified = rmiInt.modifyPlayer(userName, password, email);
            assertTrue(isModified == true);
        }
        // [TODO] Make specializations for the exceptions
        catch (Exception e)
        {
            fail(e.toString());
        }
    }

    public void testModifyPlayerNeg()
    {
        // Test if the modification is undone
        // when the login and pasword are empty
        try
        {
            userName = "";
            password = "";
            email = "";
            isModified = rmiInt.modifyPlayer(userName, password, email);
            assertTrue(isModified == false);

            userName = "defaultUser";
            password = "";
            email = "";
            isModified = rmiInt.modifyPlayer(userName, password, email);
            assertTrue(isModified == false);

            userName = "";
            password = "defaultPassword";
            email = "";
            isModified = rmiInt.modifyPlayer(userName, password, email);
            assertTrue(isModified == false);

            userName = "";
            password = "";
            email = "defaultEmail";
            isModified = rmiInt.modifyPlayer(userName, password, email);
            assertTrue(isModified == false);
            // [TODO] More combinations
        }
        // [TODO] Make specializations for the exceptions
        catch(Exception e)
        {
            fail(e.toString());
        }
    }

    public void tearDown()
    {
        // ...
    }
}